Subject: Re: Network performance degradation from 2.6.11.12 to 2.6.16.20

From: Rick Jones <[email-masked]>
Date: Fri, 22 Sep 2006 09:51:09 -0700

> That came from named. It opens lots of sockets with SIOCGSTAMP.
> No idea what it needs that many for.

IIRC ISC BIND named opens a socket for each IP it finds on the system. 
Presumeably in this way it "knows" implicitly the destination IP without 
using platform-specific recvfrom/whatever extensions and gets some 
additional parallelism in the stack on SMP systems.

Why it needs/wants the timestamps I've no idea, I don't think it gets 
them that way on all platforms.  I suppose the next time I do some named 
benchmarking I can try to take a closer look in the source.

rick jones